package gus05.entity.gus.app.action.restart;


import javax.swing.Action;

import gus05.framework.core.Entity;
import gus05.framework.core.Outside;
import gus05.framework.core.Service;
import gus05.framework.features.Provide;
import gus05.framework.features.Execute;
import gus05.framework.resources.ActionBuilder;



public class AppActionRestart implements Entity, Provide, Execute {


    public String getName()				{return "gus.app.action.restart";}
    public String getCreationDate()		{return "2009.02.14";}



    public static final String ACTIONID_EXIT = "restart";
    
    private Service restartApp;
    private ActionBuilder actionBuilder;
    
    private Action restartAction;
    
    
    public AppActionRestart() throws Exception
    {
        restartApp = Outside.service(this,"gus.app.restartapp");
        actionBuilder = (ActionBuilder) Outside.resource(this,"app.actionbuilder");
        restartAction = actionBuilder.build(ACTIONID_EXIT,restartApp);
    }





    public Object provide() throws Exception
    {return restartAction;}


    
    public void execute() throws Exception
    {restartApp.execute();}
}

