package gus05.entity.gus.app.feedback.gui.addnote;

import java.awt.Color;
import java.awt.Font;
import java.awt.event.ItemEvent;
import java.awt.event.ItemListener;
import javax.swing.JRadioButton;

public class JRadioButtonBold extends JRadioButton implements ItemListener {

	
	private Color color;
    private Color color0;
    
    private Font font_b;
    private Font font_p;
    
    public JRadioButtonBold(String text, boolean selected, Color color)
    {
        super(text,selected);
        this.color = color;
        init();
    }
    
    public JRadioButtonBold(String text, boolean selected)
    {
        super(text,selected);
        color = getForeground();
        init();
    }
    
    
    
    
    private void init()
    {
    	color0 = getForeground();
    	font_b = getFont().deriveFont(Font.BOLD);
        font_p = getFont().deriveFont(Font.PLAIN);
        update();
        addItemListener(this);
    }
    
    
    public void itemStateChanged(ItemEvent e)
    {update();}
    
    private void update()
    {
    	if(isSelected())
        {
            setForeground(color);
            setFont(font_b);
        }
        else
        {
            setForeground(color0);
            setFont(font_p);
        } 
    }
}
