package gus05.entity.gus.app.restartapp.askforrestart;


import javax.swing.JOptionPane;

import gus05.framework.core.Entity;
import gus05.framework.core.Outside;
import gus05.framework.features.Execute;



public class AskForRestart implements Entity, Execute {


    public String getName()				{return "gus.app.restartapp.askforrestart";}
    public String getCreationDate()		{return "2009.02.26";}



    private Execute restartApp;
    
    private String title = "Restart required";
    private String message = "You should restart the application";
    

    public AskForRestart() throws Exception
    {
    	restartApp = (Execute) Outside.resource(this,"app.executerestart");
    }



    public void execute() throws Exception
    {
    	if(restartApp!=null)
    	{
    		String[] options = new String[]{"Restart now","Later"};
    		
    		int n = JOptionPane.showOptionDialog(null,message,title,
        			JOptionPane.YES_NO_OPTION,
        			JOptionPane.WARNING_MESSAGE,null,options,options[0]);
    		if(n==0) restart();
    	}
    	else JOptionPane.showMessageDialog(null, message, title, JOptionPane.WARNING_MESSAGE);
    }


    
    
    
    
    private void restart()
    {
    	try{restartApp.execute();}
    	catch(Exception e)
    	{Outside.err(this,"restart()",e);}
    }
}

