package gus05.entity.gus.app.support.holder;


import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import gus05.framework.core.Entity;
import gus05.framework.features.Give;
import gus05.framework.features.Provide;
import gus05.framework.features.Support;
import gus05.framework.tools.DefaultSupport;



public class SupportHolder extends DefaultSupport implements Entity, Give, Provide, ActionListener {


    public String getName()				{return "gus.app.support.holder";}
    public String getCreationDate()		{return "2008.07.31";}


    private Support support;
    private Object object;
    

    public void give(Object obj) throws Exception
    {
    	if(support!=null)
    		support.removeActionListener(this);
    	support = null;
    	
    	if(obj instanceof Support)
    	{
    		support = (Support) obj;
        	support.addActionListener(this);
    	}
    	object = obj;
    }

    public Object provide() throws Exception
    {return object;}
    
    
	public void actionPerformed(ActionEvent e)
	{send(this,e.getActionCommand());}
}

