package gus05.entity.gus.graphic.label.holder.colsize2;


import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.Collection;
import java.util.Map;

import javax.swing.JComponent;
import javax.swing.JLabel;

import gus05.framework.core.Entity;
import gus05.framework.features.Give;
import gus05.framework.features.Graphic;
import gus05.framework.features.Support;



public class LabelHolderColSize2 implements Entity, Graphic, Give, ActionListener {


    public String getName()				{return "gus.graphic.label.holder.colsize2";}
    public String getCreationDate()		{return "2009.02.02";}


    private JLabel label;
    private Object obj;
    private Support obj_sup;
    
    
    public LabelHolderColSize2()
    {
    	label = new JLabel(" ");
    }
    

    public void give(Object obj) throws Exception
    {
    	if(obj_sup!=null) obj_sup.removeActionListener(this);
    	
    	this.obj = obj;
    	if(obj instanceof Support)
    	{
    		obj_sup = (Support)obj;
    		obj_sup.addActionListener(this);
    	}
    	else obj_sup = null;
    	updateLabel();
	}


	
	public JComponent gui()
	{return label;}
	
	
	public void actionPerformed(ActionEvent e)
	{updateLabel();}

	
	private void updateLabel()
	{label.setText(size());}
	
	
	private String size()
	{
		if(obj==null) return " ";
		if(obj instanceof Map) return " Number: "+((Map)obj).size();
		if(obj instanceof Collection) return " Number: "+((Collection)obj).size();
		if(obj instanceof Object[]) return " Number: "+((Object[])obj).length;
		return " ";
	}
}

