/*
 * Framework gus04
 * 
 * Copyright (C) 2005 (Augustin Delale)
 * Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon les termes
 * de la Licence Publique Gnrale GNU publie par la Free Software Foundation (version 2
 * ou bien toute autre version ultrieure choisie par vous).
 * 
 * Ce programme est distribu car potentiellement utile, mais SANS AUCUNE GARANTIE, 
 * ni explicite ni implicite, y compris les garanties de commercialisation ou d'adaptation
 * dans un but spcifique. Reportez-vous  la Licence Publique Gnrale GNU pour plus de dtails.
 * 
 * Vous devez avoir reu une copie de la Licence Publique Gnrale GNU en mme temps que ce programme ;
 * si ce n'est pas le cas, crivez  la Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, tats-Unis. 
 */
package gus05.entity.gus.graphic.persistence.persistence1;


import gus05.framework.core.Service;

import javax.swing.event.DocumentEvent;
import javax.swing.event.DocumentListener;
import javax.swing.text.JTextComponent;


/**
 * @author user
 *
 * To change the template for this generated type comment go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
class Persistence_JTextComponent implements DocumentListener {

    
    private JTextComponent comp;
    private String key;
    private Service pers;
    
    
    
    public Persistence_JTextComponent(Service pers, String key, JTextComponent comp) throws Exception
    {
        this.comp = comp;
        this.key = key;
        this.pers = pers;
        
        String value = (String)pers.retrieve(key);
        if(value!=null)comp.setText(value);
        comp.getDocument().addDocumentListener(this);
    }


    public void insertUpdate(DocumentEvent e) {update();}
    public void removeUpdate(DocumentEvent e) {update();}
    public void changedUpdate(DocumentEvent e) {}
    
    private void update()
    {
        try
        {
            pers.register(key,comp.getText());
        }
        catch(Exception e){}
    }
}
