package gus05.entity.gus.web.authorization.setauth1;


import java.net.URLConnection;

import sun.misc.BASE64Encoder;
import gus05.framework.core.Entity;
import gus05.framework.features.Give;



public class SetAuth1 implements Entity, Give {


    public String getName()				{return "gus.web.authorization.setauth1";}
    public String getCreationDate()		{return "2009.01.22";}



    private BASE64Encoder encoder = new BASE64Encoder();

    
    
    public void give(Object obj) throws Exception
    {
    	Object[] data = (Object[]) obj;
    	if(data.length!=3) throw new Exception("Wrong data number: "+data.length);
    	URLConnection con = (URLConnection) data[0];
    	String login = (String) data[1];
    	String password = (String) data[2];
    	
    	setAuthorisation(con,login,password);
    }
    
    
    private void setAuthorisation(URLConnection con, String login, String password)
    {
    	String info = login+":"+password;
        String encoding = encoder.encode(info.getBytes());
        con.setRequestProperty("Authorization","Basic "+encoding);
    }

}

