package gus05.manager.gus.endorf.layer4.system2;

import java.util.HashMap;

public class StartManager {

    
    
    public int number;
    public HashMap errors;
    
    
    public StartManager()
    {
        number = 0;
        errors = new HashMap();
    }
    
    
    
    public void start()
    {
        for(int i=0;i<System2.startList.size();i++)
        {
            String line = (String) System2.startList.get(i);
            if(!line.equals("") && !line.startsWith("#")) startEntity(line);
        }
    }
    
    
    
    
    
    
    
    private void startEntity(String name)
    {
        try
        {
            System2.printMessage(this,"startEntity(String)","start "+name);
            long t1 = System.nanoTime();
            System2.entityGenerator.uniqueEntity(this,name);
            long t2 = System.nanoTime();
            System2.printMessage(this,"startEntity(String)","duration = "+System2.nf.format(t2-t1)+" ns");
            number++;
        }
        catch(Exception e)
        {
            System2.handleError(this,"startEntity(String)",e);
            errors.put(name,e);
        }
    }
}
