package gus05.entity.gus.app.user.findusername;


import java.util.Map;

import javax.swing.JOptionPane;

import gus05.framework.core.Entity;
import gus05.framework.core.Outside;
import gus05.framework.features.Execute;
import gus05.framework.features.Give;
import gus05.framework.features.Provide;



public class FindUserName implements Entity, Provide, Give, Execute {


    public String getName()				{return "gus.app.user.findusername";}
    public String getCreationDate()		{return "2009.05.29";}

    public static final String KEY_USER = "USER";
    
    private Map map;
    

    public FindUserName() throws Exception
    {
    	map = (Map) Outside.resource(this,"defaultdatamap");
    }

    
    private String askUserName()
    {
    	String userName = JOptionPane.showInputDialog("Please, type your user name:");
    	if(userName!=null) return userName;

    	JOptionPane.showMessageDialog(null,"Default value will be used: UNKNOWN USER");
    	return "UNKNOWN USER";
    }



    public Object provide() throws Exception
    {
    	if(!map.containsKey(KEY_USER))
    		map.put(KEY_USER,askUserName());
        return (String) map.get(KEY_USER);
    }
    
    
    
    
    
	public void give(Object obj) throws Exception
	{map.put(KEY_USER,(String)obj);}
	
	
	public void execute() throws Exception
	{map.put(KEY_USER,askUserName());}
}

