package gus05.entity.gus.app.watchrelease.initjartool;


import java.io.File;
import java.io.FileOutputStream;
import java.io.InputStream;
import java.net.URL;
import java.net.URLConnection;

import gus05.framework.core.Entity;
import gus05.framework.core.Outside;
import gus05.framework.features.Give;



public class InitJarTool implements Entity, Give {


    public String getName()				{return "gus.app.watchrelease.initjartool";}
    public String getCreationDate()		{return "2009.04.29";}


    private URL url;


    public InitJarTool() throws Exception
    {
    	url = (URL) Outside.resource(this,"installerurl");
    }



    public void give(Object obj) throws Exception
    {
    	File jarFile = (File) obj;
    	if(jarFile.exists()) return;
    	
    	URLConnection con = url.openConnection();
    	con.connect();
        
        FileOutputStream fos = new FileOutputStream(jarFile);  
        InputStream is = con.getInputStream(); 
        
        int b;
        while((b = is.read())!=-1)
        {
            fos.write(b);
            Thread.yield();
        }    
        is.close();
        fos.close();
    }


}

