package gus05.entity.gus.collection.map.string.tostringtable;


import java.util.ArrayList;
import java.util.Collections;
import java.util.Map;

import gus05.framework.core.Entity;
import gus05.framework.features.Transform;



public class ToStringTable implements Entity, Transform {


    public String getName()				{return "gus.collection.map.string.tostringtable";}
    public String getCreationDate()		{return "2008.10.03";}





    public Object transform(Object obj) throws Exception
    {
    	Map map = (Map) obj;
    	ArrayList keys = new ArrayList(map.keySet());
    	Collections.sort(keys);
    	
    	String[][] table = new String[keys.size()][2];
    	for(int i=0;i<keys.size();i++)
    	{
    		table[i][0] = (String) keys.get(i);
    		table[i][1] = (String) map.get(table[i][0]);
    	}
        return table;
    }


}

