package gus05.entity.gus.file.treatment.filecopy.batchdos;


import java.io.File;
import java.io.PrintStream;

import javax.swing.JOptionPane;

import gus05.framework.core.Entity;
import gus05.framework.core.Outside;
import gus05.framework.features.Give;



public class FileCopyBatchDos implements Entity, Give {


    public String getName()				{return "gus.file.treatment.filecopy.batchdos";}
    public String getCreationDate()		{return "2009.02.26";}



    private File tempDir;
    private File batchFile;

    
    public FileCopyBatchDos() throws Exception
    {
    	tempDir = (File) Outside.resource(this,"defaultdir");
    	batchFile = new File(tempDir,"copyFiles.bat");
    }



    public void give(Object obj) throws Exception
    {
    	File[] f = (File[]) obj;
    	File in = f[0];
    	File out = f[1];
    	
    	if(!in.exists()) return;
    	COPY(in,out);
    	
    	if(!out.exists())
    	COPY_ADMIN(in,out);
    }


    
    private void COPY(File in, File out) throws Exception
    {
    	PrintStream p = new PrintStream(batchFile);
    	p.print("copy "+path(in)+" "+path(out.getParentFile()));
    	p.close();
    	
    	executeFile(batchFile);
    }
    
    
    
    
    private void COPY_ADMIN(File in, File out) throws Exception
    {
    	PrintStream p = new PrintStream(batchFile);
    	p.println("copy "+path(in)+" "+path(out.getParentFile()));
    	p.print("pause");
    	p.close();
    	
    	exploreDir(tempDir);
    	String message = "File copy could not be performed by the Java application\n" +
    			"because of security restrictions.\n\n" +
    			"To overcome this problem, please execute the following DOS batch file in administrator mode.\n" +
    			"After that, press the OK button";
    	JOptionPane.showMessageDialog(null,message);
    }
    
    
    
    
    
    
    private void exploreDir(File dir) throws Exception
    {
    	String command = "explorer "+path(dir);
    	Runtime.getRuntime().exec(command);
    }
    
    private void executeFile(File file) throws Exception
    {
    	String command = "cmd "+path(file);
    	Runtime.getRuntime().exec(command);
    }
    
    
    private String path(File f)
    {return "\""+f.getAbsolutePath()+"\"";}
}

