package gus05.entity.gus.graphic.dialog.popup0.blocked;

import gus05.framework.tools.DefaultSupport;

import javax.swing.JComponent;
import javax.swing.JDialog;
import javax.swing.JFrame;


class Dialog0 extends JDialog
{
	private JFrame parent;
	private DefaultSupport support;
	
	public Dialog0(JFrame parent, DefaultSupport support)
	{
		super(parent,true);
		this.parent = parent;
		this.support = support;
		
		setUndecorated(true);
		setResizable(false);
	}
	
	public void showContent(JComponent content, int width, int height)
	{
		setContentPane(content);
		pack();
		
		int w = width==-1?getWidth():width;
		int h = height==-1?getHeight():height;
		
		setSize(w,h);
		setLocationRelativeTo(null);
		setVisible(true);
	}
	
	public void hideContent()
	{
		if(!isVisible()) return;
		dispose();
		dialogHidden();
	}
	
	private void dialogHidden()
	{support.send(this,"dialogHidden()");}
}
