package gus05.entity.gus.graphic.dnd;


import java.awt.datatransfer.*;


public class ObjectTransferable implements Transferable {
    
    
    private Object object; 
    private DataFlavor[] dataFlavor;

    
    
    public ObjectTransferable(Object object, DataFlavor flavor)
    {
        this.object = object;
        dataFlavor = new DataFlavor[]{flavor};
    }
    
    
    
    
    
    public Object getTransferData(DataFlavor dataFlavor) throws UnsupportedFlavorException
    {
        if(isObjectFlavor(dataFlavor))return object;
        throw new UnsupportedFlavorException(dataFlavor);
    }
    
    
    public DataFlavor[] getTransferDataFlavors()
    {return dataFlavor;}
    
    
    
    public boolean isDataFlavorSupported(DataFlavor flavor)
    {return isObjectFlavor(flavor);}
    
    
    private boolean isObjectFlavor(DataFlavor flavor)
    {return flavor.getClass().getSimpleName().equals("ObjectFlavor");}
}
