package gus05.entity.gus.graphic.persistence.persistence1;


import java.beans.PropertyChangeEvent;
import java.beans.PropertyChangeListener;

import gus05.framework.core.Service;

import javax.swing.JLabel;



class Persistence_JLabel implements PropertyChangeListener {

    
    private JLabel comp;
    private String key;
    private Service pers;
    
    
    
    public Persistence_JLabel(Service pers, String key, JLabel comp) throws Exception
    {
        this.comp = comp;
        this.key = key;
        this.pers = pers;
        
        String value = (String)pers.retrieve(key);
        if(value!=null)comp.setText(value);
        comp.addPropertyChangeListener(this);
    }

    
    public void propertyChange(PropertyChangeEvent e) {update();}
    
    
    private void update()
    {
        try
        {pers.register(key,comp.getText());}
        catch(Exception e){}
    }


	
}
