package gus05.entity.gus.graphic.persistence.persistence1;



import gus05.framework.core.Service;
import javax.swing.JSlider;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;


class Persistence_JSlider implements ChangeListener {

    
    private JSlider slider;
    private String key;
    private Service pers;
        
    
    
    public Persistence_JSlider(Service pers, String key, JSlider slider) throws Exception
    {
        this.slider = slider;
        this.key = key;
        this.pers = pers;
        
        String value = (String)pers.retrieve(key);
        if(value!=null)
        {
            int v = Integer.parseInt(value);
            slider.setValue(v);
        }
        slider.addChangeListener(this);
    }



    public void stateChanged(ChangeEvent evt)
    {
    	try
    	{
    		int v = slider.getValue();
    		pers.register(key,""+v);
    	}
    	catch(Exception e){}
    }
}
