package gus05.entity.gus.graphic.textcomp.action.set1;


import javax.swing.JTextArea;
import javax.swing.text.JTextComponent;

import gus05.framework.core.Entity;
import gus05.framework.core.Outside;
import gus05.framework.core.Service;
import gus05.framework.features.Give;



public class ActionSet1 implements Entity, Give {


    public String getName()				{return "gus.graphic.textcomp.action.set1";}
    public String getCreationDate()		{return "2006.10.06";}

    
    private Service quickReplace;
    private Service applyRule;
    private Service selectionFocus;
    private Service wrapLine;
    private Service undo;
    private Service highlight;
    private Service highlight2;
    private Service japaneseTyping;
    private Service popupMenu;
    
    
    public ActionSet1() throws Exception
    {
        quickReplace = Outside.service(this,"gus.graphic.textcomp.action.w.quickreplace");
        applyRule = Outside.service(this,"gus.graphic.textcomp.action.r.applyrule1");
        selectionFocus = Outside.service(this,"gus.graphic.textcomp.action.q.selectionfocus");
        wrapLine = Outside.service(this,"gus.graphic.textcomp.action.p.wrapline");
        undo = Outside.service(this,"gus.graphic.textcomp.action.z.undo");
        highlight = Outside.service(this,"gus.graphic.textcomp.action.f.highlight1");
        highlight2 = Outside.service(this,"gus.graphic.textcomp.action.g.highlightregex1");
        japaneseTyping = Outside.service(this,"gus.graphic.textcomp.action.f1.japanesetyping");
        popupMenu = Outside.service(this,"gus.graphic.textcomp.popupmenu1");
    }


    
    public void give(Object obj) throws Exception
    {
        JTextComponent comp = (JTextComponent)obj;
        
        quickReplace.give(comp);
        applyRule.give(comp);
        selectionFocus.give(comp);
        undo.give(comp);
        highlight.give(comp);
        highlight2.give(comp);
        japaneseTyping.give(comp);
        popupMenu.give(comp);
        
        if(comp instanceof JTextArea)
        wrapLine.give(comp);
    }


}

