/*
 * Framework gus04
 * 
 * Copyright (C) 2005 (Augustin Delale)
 * Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon les termes
 * de la Licence Publique Gnrale GNU publie par la Free Software Foundation (version 2
 * ou bien toute autre version ultrieure choisie par vous).
 * 
 * Ce programme est distribu car potentiellement utile, mais SANS AUCUNE GARANTIE, 
 * ni explicite ni implicite, y compris les garanties de commercialisation ou d'adaptation
 * dans un but spcifique. Reportez-vous  la Licence Publique Gnrale GNU pour plus de dtails.
 * 
 * Vous devez avoir reu une copie de la Licence Publique Gnrale GNU en mme temps que ce programme ;
 * si ce n'est pas le cas, crivez  la Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, tats-Unis. 
 */
package gus05.entity.gus.io.outputstream.builder;

/**
 * @author gus
 *
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
import java.io.*;

import javax.swing.text.*;


public class OutputStreamJTextComponent extends OutputStream {

	private JTextComponent gui;
    private ByteArrayOutputStream baos;
    private boolean inversed;
    
    
	public OutputStreamJTextComponent(JTextComponent gui,boolean inversed)
	{
		this.gui = gui;
        this.inversed = inversed;
        baos = new ByteArrayOutputStream();
	}
	
	
	
	public void write(int b)
    {
        baos.write(b);
        if((char)b=='\n')
        {
            gui.setCaretPosition(gui.getDocument().getLength());
            if(inversed)gui.setCaretPosition(0);
            gui.replaceSelection(baos.toString());
            baos.reset();
        }
    }

	
}
