package gus05.entity.gus.security.askinfo.loginpasswordinit2;


import gus05.framework.core.Entity;
import gus05.framework.core.Outside;
import gus05.framework.features.Provide;
import gus05.framework.features.Register;

import javax.swing.JFrame;




public class AskLoginPasswordInit2 implements Entity, Provide, Register {


    public String getName()				{return "gus.security.askinfo.loginpasswordinit2";}
    public String getCreationDate()		{return "2009.06.08";}


    private JFrame mainFrame;
    private LoginPasswordDialog dialog;
    
    

    public AskLoginPasswordInit2() throws Exception
    {
    	mainFrame = (JFrame) Outside.resource(this,"app.gui.frame");
    	dialog = new LoginPasswordDialog(mainFrame);
    }

    
    public Object provide() throws Exception
    {
    	dialog.setVisible(true);
    	return dialog.getInfos();
    }
    
    
	public void register(String key, Object obj) throws Exception
	{
		if(key.equals("title")) {dialog.setTitle(""+obj);return;}
		if(key.equals("login")) {dialog.setLogin(""+obj);return;}
		throw new Exception("Unknown key: "+key);
	}


}

