package gus05.manager.gus.endorf.layer3.system1;

import java.util.Date;
import java.util.Iterator;
import java.util.Timer;
import java.util.TimerTask;

import gus05.manager.gus.endorf.layer2.datasupport.SupportMap;

public class MapClass0 extends SupportMap {

	public static final long DELAY = 40;
	
	private Timer timer;
	private TimerTask task;
	
	public MapClass0(String name)
	{
		super(name);
		timer = new Timer();
		
		task = new TimerTask(){
			public void run(){nextUnloaded();}
		};
		timer.schedule(task,new Date(),DELAY);
	}

	
	
	public synchronized Object get(Object key)
	{
		Class0 c = (Class0) super.get(key);
		return c.get();
	}
	
	
	private synchronized void nextUnloaded()
	{
		if(isEmpty()) return;
		Class0 c = findUnloaded();
		if(c!=null) c.get();
	}
	
	
	private Class0 findUnloaded()
	{
		Iterator it = keySet().iterator();
		while(it.hasNext())
		{
			String key = (String) it.next();
			Class0 c = (Class0) super.get(key);
			if(c.isReady()) return c;
		}
		return null;
	}
}
