
package gus05.manager.gus.endorf.layer3.tools;


import java.io.File;
import java.io.FileReader;
import java.io.PrintStream;
import java.util.ArrayList;
import java.util.Collection;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Properties;
import java.util.Set;



public class Tools_file_secured {

	
	private static Crypter crypter;
	
	private static Crypter crp() throws Exception
	{
		if(crypter==null) crypter = new Crypter();
		return crypter;
	}
	
	private static String en(String text, File file)  throws Exception {return crp().ENCRYPT(text,file);}
	private static String de(String text, File file)  throws Exception {return crp().DECRYPT(text,file);}
    
	private static Properties en(Map map, File file)  throws Exception {return crp().encrypt(map,file);}
	private static Properties de(Map map, File file)  throws Exception {return crp().decrypt(map,file);}
    
	private static String encodeU(String text) {return Tools_encoding.encode(text);}
	private static String decodeU(String text) {return Tools_encoding.decode(text);}
	

    
	
	
	private static String read(File file) throws Exception
    {
        FileReader fr = new FileReader(file);	
        char[] a= new char[(int)file.length()];
        fr.read(a,0,(int)file.length());
        fr.close();
        return new String(a); 
    }
	
	private static void write(File file, String text) throws Exception
    {
        if(!file.canWrite())return;
        PrintStream out = new PrintStream(file);
        out.print(text);
        out.close();
    }
	
	
	
	

    
    public static String readText(File file) throws Exception
    {
        return decodeU(de(read(file),file));
    }
    
    public static void writeText(File file, String text) throws Exception
    {
    	write(file,encodeU(text));
    }
    
    
    
    
    
    public static List loadList(File file) throws Exception
    {
    	ArrayList list = new ArrayList();
        if(file.length()==0)return list;
        
        String[] lines = read(file).split("[\r\n]+");
        for(int i=0;i<lines.length;i++)
        {
        	String line1 = de(lines[i],file);
        	list.add(decodeU(line1));
        }
        return list;
    }
    
    public static Set loadSet(File file) throws Exception
    {
    	return new HashSet(loadList(file));
    }
    
    
    
    
    
    
    
    public static void writeCollection(File file, Collection c) throws Exception
    {
        if(!file.canWrite())return;
        PrintStream out = new PrintStream(file);
        Iterator it = c.iterator();
        while(it.hasNext())
        {
            String line = (String) it.next();
            out.println(en(encodeU(line),file));
        }
        out.close();
    }
    
    
    
    
    public static Properties prop(File file) throws Exception
    {
        return de(Tools_file.prop(file),file);
    }
    
    public static void saveProp(File file, Properties prop) throws Exception
    {
    	Tools_file.saveProp(file,en(prop,file));
    }

}
